Package: org.codehaus.groovy.transform.tailrec

## [Java] Class UsedVariableTracker

- org.codehaus.groovy.transform.tailrec.UsedVariableTracker

- All Implemented Interfaces and Traits:
    VariableReplacedListener

      public class UsedVariableTracker
      extends Object
      implements VariableReplacedListener

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Set<String>` | `getUsedVariableNames()`
    `` | `public void` | `variableReplaced(VariableExpression oldVar, VariableExpression newVar)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public Set<String> getUsedVariableNames()

    - #### @Override
      public void variableReplaced(VariableExpression oldVar, VariableExpression newVar)